# Get a Program

GET /{programId}

#### Description

Fetches detailed information about a specific Program using its unique ID.

Endpoint: GET /{programId}
Version: 1.0
Security: oauth2

## Path parameters:

  - `programId` (string, required)
    Unique ID of the program.

## Response 200 fields (application/json):

  - `id` (string)
    The unique identifier for the program

  - `name` (string, required)
    The name of the program
    Example: "string"

  - `description` (string)
    The description of the program

  - `sectionRootId` (string, required)
    The unique identifier for the section root
    Example: "string"

  - `programLogoName` (string)
    The name of the program logo

  - `sourceTemplateId` (string)
    The unique identifier of the source template

  - `sourceFrameworkId` (string)
    The unique identifier of the source framework

  - `sourceFramework` (string)
    The source framework

  - `primaryContactId` (string, required)
    The unique identifier of the primary contact
    Example: "string"

  - `workStatus` (string, required)
    Program work status
    Enum: "defining", "operating"

  - `overrideHealth` (boolean)
    Whether health status is overridden

  - `overrideHealthHealth` (string)
    Health status
    Enum: "critical", "atRisk", "healthy", "notAvailable"

  - `overrideHealthById` (string)
    The unique identifier of the user who overrode the health status

  - `overrideHealthOn` (string)
    The date when health was overridden (ISO-8601 format)

  - `overrideHealthReason` (string)
    The reason for overriding health status

  - `selectedBaselines` (array)
    Enum: "low", "moderate", "high", "level1", "level2", "level3", "level4", "level5", "privacy", "security", "availability", "confidentiality", "processingIntegrity"

  - `baselineEnabled` (boolean)
    Whether baseline is enabled for the program

  - `isUpdating` (boolean)
    Whether the program is currently being updated

  - `updateAvailable` (boolean)
    Whether an update is available for the program

  - `frameworkVersionMapping` (object)
    Mapping details for framework versions

  - `frameworkVersionMapping.sourceVersion` (string)
    The source version of the framework

  - `frameworkVersionMapping.targetVersion` (string)
    The target version of the framework

  - `frameworkVersionMapping.summary` (string)
    Summary of the version mapping

  - `frameworkVersionMapping.name` (string)
    The name of the version mapping

  - `frameworkVersionMapping.orgId` (string)
    The unique identifier of the organization

  - `frameworkVersionMapping.allOrgsAllowed` (boolean)
    Whether all organizations are allowed

  - `frameworkVersionMapping.allowedOrgIds` (array)

  - `clonedProgramId` (string)
    Unique identifier of the cloned program, if applicable

  - `frameworkLicenseNotice` (string)
    License notice for the framework

  - `frameworkVersionMappingId` (string)
    Unique identifier for the framework version mapping


